GRANULE(6)

NAME
granule - a flashcards program.

DESCRIPTION
Granule is a flashcard program that implements Leitner cardfile methodology for learning new words. It features both short-term and long-term memory training capabilities with scheduling.

USAGE:

granule [OPTIONS]

OPTIONS:

-D, --log-file=NAME - Write debug to NAME file

-z, --log-size=NUM - Maximum size debug file can reach (dfl: is 10Mb)

--config-file=NAME      - Specify a fully-qualified path to the
    alternative configuration file.

-d, --log-stdout=YESNO - Write debug to standard output

--with-log-server=YESNO - Redirect log messages to the log server

--log-server=NAME - Define assa-logd server address

-c, --log-level=NUM - Log verbosity

-m, --mask=MASK - Mask (default: 0x0; all=0x7fffffff)

0x00000001 - (TRACE)
    Dependencies trace.

0x00000002 - (GRAPP)
    Log general program flow

    0x00000004 - (GUITRACE) Log every function entry/leave 0x00000008 - (DECK) Log Deck-related operations 0x00000010 - (GEOM) Log geometry changes 0x00000020 - (ERROR) General errors 0x02000000 - (KEYIN) Log keyboard input activitiy 0x04000000 - (CSVPARSER) CSV parser 0x08000000 - (VERIFY) Answer Verification control.

--secs-in-day=NUM - Number of seconds in a day (used for debugging)

--secs-in-week=NUM - Number of seconds in a week (used for debugging)

--dump-cardboxes=YESNO  - Dump content of each cardbox to a file,
    cardbox{1..5}.dat after every card movement.

--gtk-options=OPTIONS   - A list of Gtk+ options to pass on. For example,

o --g-fatal-warnings     - make all warnings fatal.

o --disable-crash-dialog - when application crashes suppress GNOME crash dialog.

-h, --help              - Print this message

-v, --version - Print version number

AUTHOR
Written by Vladislav Grinchenko

SEE ALSO
The full documentation for granule is maintained at sourceforge in a variety of formats.

http://sourceforge.net/projects/granule/files/Documentation/All/